Bug 1036346 - [abrt] claws-mail-3.9.2-7.fc20: g_malloc0: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.9.2-7.fc20: g_malloc0: Process /usr/bin/claws-mail was ki...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:569f1442dca93cb0733b91c6ab1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-01 09:52 UTC by Andrey V. Henneberg
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:15 UTC


Attachments (Terms of Use)
File: backtrace (99.10 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: cgroup (159 bytes, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: core_backtrace (34.08 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: dso_list (20.50 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: environ (1.32 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: maps (65.19 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: open_fds (1.47 KB, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details
File: var_log_messages (334 bytes, text/plain)
2013-12-01 09:52 UTC, Andrey V. Henneberg
no flags Details

Description Andrey V. Henneberg 2013-12-01 09:52:10 UTC
Version-Release number of selected component:
claws-mail-3.9.2-7.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: g_malloc0
executable:     /usr/bin/claws-mail
kernel:         3.11.9-300.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc0 at gmem.c:134
 #3 g_malloc0_n at gmem.c:369
 #4 g_hash_table_resize at ghash.c:534
 #5 g_hash_table_maybe_resize at ghash.c:594
 #6 g_hash_table_insert_node at ghash.c:909
 #7 g_hash_table_insert_internal at ghash.c:1155
 #8 imap_get_flags_thread at imap.c:5234
 #9 imap_get_flags at imap.c:5292
 #10 syncronize_flags at folder.c:1940
 #11 folder_item_scan_full at folder.c:2340

Potential duplicate: bug 982533

Comment 1 Andrey V. Henneberg 2013-12-01 09:52:16 UTC
Created attachment 831152 [details]
File: backtrace

Comment 2 Andrey V. Henneberg 2013-12-01 09:52:20 UTC
Created attachment 831153 [details]
File: cgroup

Comment 3 Andrey V. Henneberg 2013-12-01 09:52:24 UTC
Created attachment 831154 [details]
File: core_backtrace

Comment 4 Andrey V. Henneberg 2013-12-01 09:52:28 UTC
Created attachment 831155 [details]
File: dso_list

Comment 5 Andrey V. Henneberg 2013-12-01 09:52:32 UTC
Created attachment 831156 [details]
File: environ

Comment 6 Andrey V. Henneberg 2013-12-01 09:52:35 UTC
Created attachment 831157 [details]
File: exploitable

Comment 7 Andrey V. Henneberg 2013-12-01 09:52:39 UTC
Created attachment 831158 [details]
File: limits

Comment 8 Andrey V. Henneberg 2013-12-01 09:52:44 UTC
Created attachment 831159 [details]
File: maps

Comment 9 Andrey V. Henneberg 2013-12-01 09:52:47 UTC
Created attachment 831160 [details]
File: open_fds

Comment 10 Andrey V. Henneberg 2013-12-01 09:52:50 UTC
Created attachment 831161 [details]
File: proc_pid_status

Comment 11 Andrey V. Henneberg 2013-12-01 09:52:54 UTC
Created attachment 831162 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-01-16 11:28:46 UTC
You keep running into memory corruption.

If you don't have any ideas about reproducibility, not much can be done about
it.

Comment 13 Michael Schwendt 2014-05-01 14:47:16 UTC
Recently, there have been several bug-fixes upstream that will stop some of the side-effects, such as crashes when interrupting networking/IMAP session.


This will need retesting once a new version of Claws Mail (or a Test Update) will be available.

Comment 14 Fedora Update System 2014-05-26 21:17:12 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 15 Fedora Update System 2014-05-26 21:17:46 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 16 Fedora Update System 2014-05-28 02:56:10 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-05-30 23:49:15 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-02 17:51:37 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 19 Fedora Update System 2014-11-02 17:52:15 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 20 Fedora Update System 2014-11-02 17:54:54 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 21 Fedora Update System 2014-11-10 06:30:02 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2014-11-10 06:33:47 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-01-05 07:36:10 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.